Remove "Latest Projects" from Home page
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed   

Description

In some of our Redmine installations where project list is fixed the "Latest Projects" box located on "Home" page is confusing for

users. It would be good to have a setting to disable it.

Related issues:

Related to Redmine - Patch #21160: Add "View all projects" link to "Latest pr... Closed

Related to Redmine - Feature #21203: Add "Issue tracking" list to home New

Related to Redmine - Feature #33129: Restore "Latest Projects" to Home page New

Associated revisions

Revision 14854 - 2015-11-08 22:31 - Jean-Philippe Lang

Don't show projects created more than 30 days ago in "Latest projects" (#21148).

Revision 14877 - 2015-11-14 11:11 - Jean-Philippe Lang

Removed "Latest projects" from home page (#21148).

Revision 14881 - 2015-11-14 14:23 - Jean-Philippe Lang

Test failure (#21148).

History

#1 - 2015-11-05 00:53 - Go MAEDA

Some people lose older projects because they misunderstand there are only 5 projects which they can see in the "Latest Projects" box.

#2 - 2015-11-07 12:43 - Jean-Philippe Lang

Maybe we could only display the latest projects that were created less than 30 days ago. The "Latest projects" would then not show up if no projects

were created recently. And no need to add an option for that.

What do you think?

#3 - 2015-11-07 14:44 - Sebastian Paluch

Jean-Philippe Lang wrote:

Maybe we could only display the latest projects that were created less than 30 days ago. The "Latest projects" would then not show up if no

projects were created recently. And no need to add an option for that.

What do you think?

 As long as entire "Latest Projects" box goes away and is not shown at all then that would be OK for most installations where we have just few fixed

projects. After 30 days the box would be gone.

I personally don't like the box anyway, I like Home page to be a simple welcome, with short but good explanation what to do next, here to go, which is

important for new users. The box distracts, drags away user attention from the text.

Additionally, the box could not show up for not logged users.

#4 - 2015-11-08 22:32 - Jean-Philippe Lang

- Subject changed from Option to hide/disable "Latest Projects" on Home page to Hide "Latest Projects" on Home page when there's no new projects

- Target version set to 3.2.0
#5 - 2015-11-09 02:59 - Go MAEDA

I think the behavior showing/hiding the box depending on created date may confuses users. Probably some users says that they cannot find project if

the box is hidden.

I hope that r14854 is reverted and #21160 will be implemented. As I worte on #21148#note-1, confusion may be avoided by adding "View all projects"

link like "Latest News" box.

#6 - 2015-11-09 03:14 - Go MAEDA

- Related to Patch #21160: Add "View all projects" link to "Latest projects" box on "Home" view added

#7 - 2015-11-09 08:41 - Sebastian Paluch

Go MAEDA wrote:

I think the behavior showing/hiding the box depending on created date may confuses users. Probably some users says that they cannot find

project if the box is hidden.

 I can't agree with this. The box is in most cases useless, it shows very partial information. In our main engineering installation, where projects are

created regularly, often entire trees of projects to cover all deliverables, showing last 5 in the box presents stuff out of its context. Instead the "Jump to

project..." box is much more useful and used much more often. To improve its readability I have added a patch #19370.

#8 - 2015-11-09 13:02 - Go MAEDA

As far as I know, beginners tend to select project from "Latest projects" box and have difficulty in finding other projects, so I suggest adding "All

projects" link to the box in #21160 (plese see the following screenshot). Turning off and on the box probably confuse them. I agree if the box is always

hidden.

 welcome-page.png 

#9 - 2015-11-09 19:23 - Jean-Philippe Lang

I'm fine with removing the "Latest projects" box completely. Any objections?

#10 - 2015-11-10 01:01 - Go MAEDA

Jean-Philippe Lang wrote:

I'm fine with removing the "Latest projects" box completely. Any objections?

 Absolutely agree.

#11 - 2015-11-10 07:22 - Go MAEDA

We will get large empty area on Home after removing "Latest projects" box. I have suggested a use of it in #21203.

 new_home_screen.png 

#12 - 2015-11-10 07:22 - Go MAEDA

- Related to Feature #21203: Add "Issue tracking" list to home added

#13 - 2015-11-14 11:16 - Jean-Philippe Lang

- Subject changed from Hide "Latest Projects" on Home page when there's no new projects to Remove "Latest Projects" from Home page

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Latest Projects removed in r14877.

We will get large empty area on Home after removing "Latest projects" box. I have suggested a use of it in #21203.

 We should not add this just to fill some space. I'd prefer to make it customizable like My page instead, to let people show information that they find

relevant for the home page.

#14 - 2020-03-11 15:21 - Go MAEDA

- Related to Feature #33129: Restore "Latest Projects" to Home page added
